Package org.eclipse.birt.chart.model.type

# Interface DifferenceSeries

All Superinterfaces:
  `AreaSeries`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `LineSeries`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Implementing Classes:
  `DifferenceSeriesImpl`

public interface DifferenceSeries extends AreaSeries
A representation of the model object 'Difference Series'. This is a Series type that, during design time, holds the query data for Difference charts, and during run time, holds the values for each data point in the series. Each data point in a Difference Series holds two values. When rendered, a line connects each high value of each data point, another line connects each low value of each data point, and the area between the high and low lines is filled with the series color.

The following features are supported:

- `Negative Markers`
- `Negative Line Attributes`

See Also:
  - `TypePackage.getDifferenceSeries()`

## Method Summary

Modifier and Type
Method
Description
`DifferenceSeries`
`copyInstance()`
A convenient method to get an instance copy.
`LineAttributes`
`getNegativeLineAttributes()`
Returns the value of the 'Negative Line Attributes' containment reference.
`org.eclipse.emf.common.util.EList<Marker>`
`getNegativeMarkers()`
Returns the value of the 'Negative Markers' containment reference list.
`void`
`setNegativeLineAttributes(LineAttributes value)`
Sets the value of the '`Negative Line Attributes`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getNegativeMarkers

org.eclipse.emf.common.util.EList<Marker> getNegativeMarkers()
Returns the value of the 'Negative Markers' containment reference list. The list contents are of type `Marker`. Specifies the marker to be used for displaying the data point on the negative line in the chart.

Returns:
  the value of the 'Negative Markers' containment reference list.
See Also:
  - `TypePackage.getDifferenceSeries_NegativeMarkers()`

### getNegativeLineAttributes

LineAttributes getNegativeLineAttributes()
Returns the value of the 'Negative Line Attributes' containment reference. Specifies the attributes for the negative line used to represent this series.

Returns:
  the value of the 'Negative Line Attributes' containment reference.
See Also:
  - `setNegativeLineAttributes(LineAttributes)`
  - `TypePackage.getDifferenceSeries_NegativeLineAttributes()`

### setNegativeLineAttributes

void setNegativeLineAttributes(LineAttributes value)
Sets the value of the '`Negative Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Negative Line Attributes' containment reference.
See Also:
  - `getNegativeLineAttributes()`

### copyInstance

DifferenceSeries copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `AreaSeries`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `Series`